<?php 

	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_LIBRARIES."functions.php");
		import_file(DIR_LIBRARIES."PagSeguro/PagSeguro.class.php");

		$codigo = filter_input(INPUT_POST, "codigo", FILTER_SANITIZE_STRING);

		$config = obter_configuracao();

		if ($config->ambiente_teste_pagseguro == "S") {
			$pagseguro = new PagSeguro(false);
		}
		else{
			$pagseguro = new PagSeguro(true);
		}

		$pagseguro->setEmail($config->email_pagseguro);
		$pagseguro->setToken($config->token_pagseguro);

		$result = $pagseguro->getTransaction($codigo);

		echo json_encode(["data" => $result]);
	}
	else{
		show_403();
	}

?>